Bug 1009753 - fv_* test provides incorrect error messages when image download fails
fv_* test provides incorrect error messages when image download fails
Status: CLOSED WONTFIX
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Test Suite (tests) (Show other bugs)
1.5
x86_64 Linux
high Severity urgent
: ---
: ---
Assigned To: Greg Nichols
Red Hat Kernel QE team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-19 00:32 EDT by Otis Henry
Modified: 2015-07-13 10:45 EDT (History)
8 users (show)

See Also:
Fixed In Version: hwcert-client 1.7.0-60
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1010403 (view as bug list)
Environment:
Last Closed: 2015-07-13 10:45:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
uncompressed tarbar (3.91 KB, image/png)
2013-09-19 00:33 EDT, Otis Henry
no flags Details
example of incorrect file name request (20.05 KB, image/png)
2013-09-19 00:34 EDT, Otis Henry
no flags Details
patch to fix error messages and skip untaring when download fails. (2.93 KB, patch)
2013-09-19 15:15 EDT, Greg Nichols
no flags Details | Diff
Pre-release user guide PDF (1.11 MB, application/pdf)
2013-11-11 16:32 EST, Gary Case
no flags Details

  None (edit)
Description Otis Henry 2013-09-19 00:32:41 EDT
Description of problem:
fv_* test download an images that doesn't match the file required by the test.  1. execute hwcert client for fv_* tests and file downloaded completes but error on untar file provided isn't what is required.

This is blocker for certification submission.

untar file  required is:
hwcert-x86_64.img.tar.bz2 -> filehwcert-x86_64.img

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. execute hwcert client for fv_* tests and file downloaded completes but error on untar and if 
2.
3.

Actual results:
downloaded from the ftp site the following file provides the following
hwcert-x85_64.img.tar.bz2 -> v7x86_64.img


Expected results:
"filehwcert-x86_64.img" should be provided file

Additional info:
Comment 1 Otis Henry 2013-09-19 00:33:51 EDT
Created attachment 799728 [details]
uncompressed tarbar
Comment 2 Otis Henry 2013-09-19 00:34:28 EDT
Created attachment 799729 [details]
example of incorrect file name request
Comment 3 Greg Nichols 2013-09-19 07:22:46 EDT
Looking at attachment 799729 [details] it seems there are two problems here.   The first is that the partners.redhat.com ftp server is unreachable from the client (note the "no route to host" message, and "download failed").   So the client can't download the image file.

There are a couple of ways to fix this problem.   Either make the partners' server reachable by the system under test, or provide the images in the local hwcert test server (They should be installed in /var/www/hwcert/fv-images).

The second problem is that the error reporting in the hwcert client is misleading.  It should provide a clearer error message, and not attempt to untar a file it failed to download.
Comment 4 Otis Henry 2013-09-19 14:19:38 EDT
Greg,
I resolved the issue by downloading the partners ftp server files locally by for the fv_images dir.  Evidentally, our test network is firewalled for ftp traffic.

However the second issue was the file in the tarball is incorrect, its v7x86_64.img not the filehwcert-x86_64.img.  So I renamed the files manuall and made some progress that way.
Comment 5 Greg Nichols 2013-09-19 15:15:54 EDT
Created attachment 800098 [details]
patch to fix error messages and skip untaring when download fails.
Comment 10 Gary Case 2013-11-11 16:32:27 EST
Created attachment 822632 [details]
Pre-release user guide PDF

Hi Otis,

I've updated the "Using Locally-Hosted Pre-Built Guest Files" section of the user guide to reflect the use of hwcert-* aliases for v7* guest files. If you set up your alias for the guest image file to be hwcert-x86_64.img.tar.bz2 (or the same with i386) it will work properly. We'll be renaming the real image file to hwcert-something in the future. 

I'm attaching a PRE-RELEASE PDF version (please don't share it outside of Cisco) of the updated user guide to this bug. Please take a look at section 2.16 and let me know if that makes sense. 

-Gary
Comment 11 Otis Henry 2013-11-12 03:13:38 EST
Thanks Gary, I'll try this and submit accordingly.
Comment 13 Otis Henry 2014-01-21 19:18:06 EST
Gary/Greg,
we've updated as the instructions indicated however the VM itself doesn't even power on.  

As it powers on it asks for a "press a key" 3-4 times then just exits out. As I'm no longer in the group.  My colleagues will be providing additional information.

At which time please indicate whether they should open a new but regarding the VM not being able to be started in the virt-manager.
Comment 15 brose 2015-07-13 10:45:04 EDT
Closing as hwcert-client is obsolete.
Please use redhat-certification-hardware instead.

Note You need to log in before you can comment on or make changes to this bug.